import dynamix_sdk.base as _base


class CloudapiK8sGetConfigResultStr(_base.BaseAPIResultStr):
    pass


class CloudapiK8sGetConfigProtocol(_base.BasePostAPIFunctionProtocol):
    def get_config(
        self,
        *,
        k8s_id: int,
    ) -> CloudapiK8sGetConfigResultStr:
        ...
